# @digitalbits/prettier-config

## Usage

First, install the package, and make sure you've upgraded Prettier to >= 1.17.0:

```
yarn add --dev @digitalbits/prettier-config prettier
```

If you don't plan on changing the config at all, the easiest way to install is
to use the
[`prettier` parameter](https://prettier.io/docs/en/configuration.html#sharing-configurations)
in package.json:

```json
{
  "name": "@digitalbits/really-pretty-app",
  "prettier": "@digitalbits/prettier-config"
}
```

If you need to extend or change the config, you can mix it in with your own:

```js
// Your project's prettier.config.js
module.exports = {
  ...require("@digitalbits/prettier-config"),
  semi: false,
};
```
